Skip to main content
GET
/
1
/
burn_alerts
/
{datasetSlug}
/
{burnAlertId}
Get a Burn Alert
curl --request GET \
  --url https://api.honeycomb.io/1/burn_alerts/{datasetSlug}/{burnAlertId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "exhaustion_minutes": 120,
  "id": "fS7vfB81Wcy",
  "description": "Use this runbook if this alert fires.",
  "triggered": false,
  "created_at": "2022-09-22T17:32:11Z",
  "updated_at": "2022-10-31T15:08:11Z",
  "alert_type": "exhaustion_time",
  "slo": {
    "id": "2LBq9LckbcA"
  },
  "recipients": [
    {
      "id": "abcd123",
      "type": "email",
      "target": "alerts@example.com"
    }
  ]
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

burnAlertId
string
required

The unique identifier (ID) of a Burn Alert.

Response

Success

exhaustion_minutes
integer
required

Required when alert_type is exhaustion_time.

Must not be specified when alert_type is budget_rate.

Amount of time (in minutes) left until your projected SLO budget is exhausted. The alert will fire when this exhaustion threshold is reached.

Required range: x >= 0
Example:

120

id
string

Unique identifier (ID) of a Burn alert.

Example:

"fS7vfB81Wcy"

description
string

A description of the Burn Alert.

Maximum string length: 1023
Example:

"Use this runbook if this alert fires."

triggered
boolean

Indicates if the Burn Alert has been triggered. This field is read-only and is set to true when the alert is triggered.

Example:

false

created_at
string<date-time>

The ISO8601-formatted time when the Burn Alert was created.

Example:

"2022-09-22T17:32:11Z"

updated_at
string<date-time>

The ISO8601-formatted time when the Burn Alert was updated.

Example:

"2022-10-31T15:08:11Z"

alert_type
enum<string>
default:exhaustion_time

One of the supported alert types:

  1. exhaustion_time: Notifies when you are about to run out of SLO budget within a specified number of hours.
  2. budget_rate: Notifies when budget drops by at least a specified percentage within a defined time window.
Available options:
exhaustion_time,
budget_rate
Example:

"exhaustion_time"

slo
object

Details about the SLO associated with the burn alert.

Example:
{ "id": "2LBq9LckbcA" }
recipients
object[]

A list of Recipients to notify when an alert fires. Using type+target is deprecated. First, create the Recipient via the Recipients API, and then specify the ID.

Minimum array length: 1
Example:
[
  {
    "id": "abcd123",
    "type": "email",
    "target": "alerts@example.com"
  }
]